java: corrupted zlib

Harr Java 759 次浏览 , , 2条评论

有天打开我的MacBook,提示有新版本系统Mojave可用,于是兴致勃勃的下载并更新了。这个过程其实是很漫长的。

结果第二天郁闷了。之前用的好好的java不能用了,即使是java -version这个命令都启动不了。提示zlib.dylib这个库corrupted。

加了些Java技术群也是无解。

后来想到回退到老版本的Mac OS也许能行。又是一番折腾,回到了Sierra这个版本。

立马安装jdk,配置一下环境变量。输入java -version命令,多么熟悉的结果出来了。

经过这么一出之后,才意识到,系统不能老是追最新版本,除非是目前的版本满足不了使用要求。

 

 

2条评论

  1. Harrse 2018年11月7日 下午9:20 回复

    我macos上java的zlib也坏了,悲剧,早知道就不更新了。

    • Harr 2018年11月7日 下午9:22 回复

      😀

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Go